com.sun.grid.ca

## Class Main

- java.lang.Object
- - com.sun.grid.ca.Main

-     public class Main
      extends java.lang.Object

  CLI util for the `GridCA`.

  ### Usage of the CLI util

       com.sun.grid.ca.Main [options] <command>

        Commands:

           init                initialize CA infrastructure
           user <u:g:e>        generate certificates and keys for <u:g:e>
                               with u=Unix User, g=Common Name, e=email
           initks <type> <u> <file> [<pwfile>]  create keystore for user <u>
           printcert <u>       print certificate of a user
           renew <u> [<days>]  renew certificate for a user

        Mandatory Options:
          -catop      <dir>       path to the ca root directory
          -calocaltop <dir>       path to the local ca root directory
          -cascript <script>      path to the sge_ca script

        Optional Options:
          -tmp <dir>              path tmp files (default system property java.io.tmp)
          -config <dir>           path to CA configuration files (default $cadist/util/sgeCA
          -adminuser <user>       name of the admin user (default system proeprty user.name)
          -days <days>            number of days the certificates are valid (default 365 days)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TYPE_DAEMON`
    `static int` | `TYPE_SGE_DAEMON`
    `static int` | `TYPE_USER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Main()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `static int` | `parseType(java.lang.String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_USER

          public static final int TYPE_USER

      See Also:
        Constant Field Values

    - #### TYPE_DAEMON

          public static final int TYPE_DAEMON

      See Also:
        Constant Field Values

    - #### TYPE_SGE_DAEMON

          public static final int TYPE_SGE_DAEMON

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Main

          public Main()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Parameters:
        `args` - the command line arguments

    - #### parseType

          public static int parseType(java.lang.String type)